# osg::TessellationHints Class Reference

Inheritance diagram for osg::TessellationHints:

[legend]
List of all members.

## Public Types

enum | TessellationMode { USE_SHAPE_DEFAULTS, USE_TARGET_NUM_FACES }

## Public Member Functions

| TessellationHints ()
| TessellationHints (const TessellationHints &tess, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Object (osg, TessellationHints)
void | setTessellationMode (TessellationMode mode)
TessellationMode | getTessellationMode () const
void | setDetailRatio (float ratio)
float | getDetailRatio () const
void | setTargetNumFaces (unsigned int target)
unsigned int | getTargetNumFaces () const
void | setCreateFrontFace (bool on)
bool | getCreateFrontFace () const
void | setCreateBackFace (bool on)
bool | getCreateBackFace () const
void | setCreateNormals (bool on)
bool | getCreateNormals () const
void | setCreateTextureCoords (bool on)
bool | getCreateTextureCoords () const
void | setCreateTop (bool on)
bool | getCreateTop () const
void | setCreateBody (bool on)
bool | getCreateBody () const
void | setCreateBottom (bool on)
bool | getCreateBottom () const

## Protected Member Functions

| ~TessellationHints ()

## Protected Attributes

TessellationMode | _TessellationMode
float | _detailRatio
unsigned int | _targetNumFaces
bool | _createFrontFace
bool | _createBackFace
bool | _createNormals
bool | _createTextureCoords
bool | _createTop
bool | _createBody
bool | _createBottom

## Member Enumeration Documentation

enum osg::TessellationHints::TessellationMode

Enumeration values:

  USE_SHAPE_DEFAULTS |
  USE_TARGET_NUM_FACES |

## Constructor & Destructor Documentation

osg::TessellationHints::TessellationHints | ( |  | ) | `[inline]`

osg::TessellationHints::TessellationHints | ( | const TessellationHints & | tess,
|  | const CopyOp & | copyop = `CopyOp::SHALLOW_COPY`
| ) | `[inline]`

osg::TessellationHints::~TessellationHints | ( |  | ) | `[inline, protected]`

## Member Function Documentation

bool osg::TessellationHints::getCreateBackFace | ( |  | ) | const`[inline]`

bool osg::TessellationHints::getCreateBody | ( |  | ) | const`[inline]`

bool osg::TessellationHints::getCreateBottom | ( |  | ) | const`[inline]`

bool osg::TessellationHints::getCreateFrontFace | ( |  | ) | const`[inline]`

bool osg::TessellationHints::getCreateNormals | ( |  | ) | const`[inline]`

bool osg::TessellationHints::getCreateTextureCoords | ( |  | ) | const`[inline]`

bool osg::TessellationHints::getCreateTop | ( |  | ) | const`[inline]`

float osg::TessellationHints::getDetailRatio | ( |  | ) | const`[inline]`

unsigned int osg::TessellationHints::getTargetNumFaces | ( |  | ) | const`[inline]`

TessellationMode osg::TessellationHints::getTessellationMode | ( |  | ) | const`[inline]`

osg::TessellationHints::META_Object | ( | osg | ,
|  | TessellationHints |
| ) |

void osg::TessellationHints::setCreateBackFace | ( | bool | on | ) | `[inline]`

void osg::TessellationHints::setCreateBody | ( | bool | on | ) | `[inline]`

void osg::TessellationHints::setCreateBottom | ( | bool | on | ) | `[inline]`

void osg::TessellationHints::setCreateFrontFace | ( | bool | on | ) | `[inline]`

void osg::TessellationHints::setCreateNormals | ( | bool | on | ) | `[inline]`

void osg::TessellationHints::setCreateTextureCoords | ( | bool | on | ) | `[inline]`

void osg::TessellationHints::setCreateTop | ( | bool | on | ) | `[inline]`

void osg::TessellationHints::setDetailRatio | ( | float | ratio | ) | `[inline]`

void osg::TessellationHints::setTargetNumFaces | ( | unsigned int | target | ) | `[inline]`

void osg::TessellationHints::setTessellationMode | ( | TessellationMode | mode | ) | `[inline]`

## Member Data Documentation

bool osg::TessellationHints::_createBackFace `[protected]`

bool osg::TessellationHints::_createBody `[protected]`

bool osg::TessellationHints::_createBottom `[protected]`

bool osg::TessellationHints::_createFrontFace `[protected]`

bool osg::TessellationHints::_createNormals `[protected]`

bool osg::TessellationHints::_createTextureCoords `[protected]`

bool osg::TessellationHints::_createTop `[protected]`

float osg::TessellationHints::_detailRatio `[protected]`

unsigned int osg::TessellationHints::_targetNumFaces `[protected]`

TessellationMode osg::TessellationHints::_TessellationMode `[protected]`

The documentation for this class was generated from the following file:

- ShapeDrawable